Subject: Bug#4066: strangeness with X3 server

From: Daniel Quinlan <[email-masked]>
Date: Wed, 7 Aug 1996 02:06:41 -0400

Package: xserver-s3
Version: 3.1.2-5

I think this may be related to the mouse cursor problem I reported
earlier.  I noticed this problem shortly after sending that bug
report, but didn't fully investigate it until now.  (The other bug
report contains information not reproduced here.)

I have an Diamond Stealth64 Video 3200 (S3-968 based) PCI video card
with 2 MB VRAM running on a really crappy 1024x768 SVGA monitor that
won't run legibly above 640x480.

I was trying to determine if using the virtual window (server-based)
feature of X was causing the mouse cursor problem, so I shut it off by
using a virtual window the same size of the screen (640x480).  I did
not run a window manager for the purposes of isolating the bug.

If I position any window such that it extends beyond the left edge of
the screen (obscuring a strip of window), then approximately 8 pixels
of the window (the part of the window you shouldn't be able to see
because they're off the screen) appear in a strip on the right side of
the screen.  Pretty bizarre.

To illustrate this graphically, let this little thingy represent a
window where each letter is about 8 pixels wide.

        ABCDEFGH
        ABCDEFGH
        ABCDEFGH

Not drawn to scale, you get.

        +------------------------+
        |BCDEFGH                A|
        |BCDEFGH                A|
        |BCDEFGH                A|
        |                        |
        |                        |
        |                        |
        |                        |
        |                        |
        +------------------------+

If you position the mouse over A, it still thinks it is over the main
window.  In other words, the mouse knows where it is supposed to be!

This is what the window should look like (since I put the upper RHS of
the window at 0, 0).

        +------------------------+
        |ABCDEFGH                |
        |ABCDEFGH                |
        |ABCDEFGH                |
        |                        |
        |                        |
        |                        |
        |                        |
        |                        |
        +------------------------+

Also, the gray background pattern is interrupted near the right edge
in a analogous fashion to this pattern.  (I'd go blind if I tried to
reproduce the actual wicker pattern.)

        X X X X X X X XX X X X
         X X X X X X X  X X X 
        X X X X X X X XX X X X
         X X X X X X X  X X X 
        X X X X X X X XX X X X
         X X X X X X X  X X X 
        X X X X X X X XX X X X
         X X X X X X X  X X X
                       |------|
                       8 pixels (as best as I can tell)